Name:           pass
Summary:        A password manager using standard Unix tools
Version:        1.7.3
Release:        1%{?dist}
License:        GPLv2+
Url:            http://zx2c4.com/projects/password-store/
BuildArch:      noarch
Source:         http://git.zx2c4.com/password-store/snapshot/password-store-%{version}.tar.xz

Requires:       git
Requires:       gnupg2
Requires:       pwgen
Requires:       tree
Requires:       xclip

%description
Stores, retrieves, generates, and synchronizes passwords securely using gpg,
pwgen, and git.

%prep
%setup -q -n password-store-%{version}

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} \
     BINDIR=%{_bindir} SYSCONFDIR=%{_sysconfdir} \
     MANDIR=%{_mandir} \
     install
install -d %{buildroot}%{_datadir}/zsh/site-functions/
install -m 0644 src/completion/pass.zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_pass
install -d %{buildroot}%{_datadir}/fish/completions/
install -m 0644 src/completion/pass.fish-completion %{buildroot}%{_datadir}/fish/completions/pass.fish

%files
%doc README COPYING contrib
%{_bindir}/pass
%{_datadir}/bash-completion/completions/pass
%{_datadir}/fish/completions/pass.fish
%{_datadir}/zsh/site-functions/_pass
%doc %{_mandir}/man1/*

%changelog
* Fri Aug 31 2018 Christophe Fergeau <cfergeau@redhat.com> - 1.7.3-1
- Update to new upstream release

* Fri Jun 15 2018 Christophe Fergeau <cfergeau@redhat.com> - 1.7.2-1
- Update to new upstream release
  Resolves: rhbz#1591573

* Wed Apr 23 2014 Christophe Fergeau <cfergeau@redhat.com> 1.5-2
- Fix location of bash completion files

* Thu Apr 17 2014 Christophe Fergeau <cfergeau@redhat.com> - 1.5-1
- Update to 1.5.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 30 2012 Christophe Fergeau <cfergeau@redhat.com> - 1.4.1-1
- Update to 1.4.1
- Fix gnupg dependency (pass needs gnupg2)

* Mon Sep 24 2012 Christophe Fergeau <cfergeau@redhat.com> - 1.4-1
- Update to 1.4

* Tue Sep 11 2012 Christophe Fergeau <cfergeau@redhat.com> - 1.2.0-1
- Update to 1.2 release

* Thu Sep 06 2012 Christophe Fergeau <cfergeau@redhat.com> - 1.1.4-1
- Initial import

